Get details of a workflow

Returns the details of a Workflow by Workflow name.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

namestringRequired
Name of Workflow to get Workflow details.

Response

Workflow details matching the Workflow name.
namestring
typestringDefaults to automation
tasksobject
transitionsobject
groupslist of strings
canvasVersiondouble
_idstringOptionalformat: "^[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}$"
uuidstringOptionalformat: "^[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}$"
namespaceobjectOptional
descriptionstring or nullOptional
preAutomationTimeintegerOptional

Time (milliseconds) automation would have taken someone to complete without using IAP.

slaintegerOptional
errorHandlerobject or nullOptional

Deprecated gen2-specific feature

font_sizeintegerOptional6-24Defaults to 12

Deprecated, unused, gen1-specific feature

createdstringOptionalformat: "date-time"
created_byanyOptional
createdVersionstringOptional
last_updatedstringOptionalformat: "date-time"
last_updated_byanyOptional
lastUpdatedVersionstringOptional

This value represents the semantic version of the application that last modified it. For workflows with canvasVersion = 1, this field will refer to the version of Workflow Builder. For workflows with canvasVersion > 1, this field will refer to the version of Studio.

tagslist of stringsOptional
encodingVersionenumOptional
inputSchemaobjectOptional
outputSchemaobjectOptional
outputDatamap from strings to objectsOptional

Deprecated gen2-specific feature

decoratorslist of objectsOptional
migrationVersionintegerOptional>=0

Errors

500
Internal Server Error